Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class SignedData

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.SignedData

All Implemented Interfaces:
  CMSObjectIdentifiers, DEREncodable

public class SignedData
extends java.lang.Object
implements DEREncodable, CMSObjectIdentifiers

a signed data object.

Field Summary

Fields inherited from interface org.bouncycastle.asn1.cms.CMSObjectIdentifiers
`compressedData, data, digestedData, encryptedData, envelopedData, signedAndEnvelopedData, signedData`

Constructor Summary
`SignedData(ASN1Sequence seq)`
`SignedData(ASN1Set digestAlgorithms, ContentInfo contentInfo, ASN1Set certificates, ASN1Set crls, ASN1Set signerInfos)`

Method Summary
`ASN1Set` | `getCertificates()`
`ASN1Set` | `getCRLs()`
`DERObject` | `getDERObject()` SignedData ::= SEQUENCE { version CMSVersion, digestAlgorithms DigestAlgorithmIdentifiers, encapContentInfo EncapsulatedContentInfo, certificates [0] IMPLICIT CertificateSet OPTIONAL, crls [1] IMPLICIT CertificateRevocationLists OPTIONAL, signerInfos SignerInfos }
`ASN1Set` | `getDigestAlgorithms()`
`ContentInfo` | `getEncapContentInfo()`
`static SignedData` | `getInstance(java.lang.Object o)`
`ASN1Set` | `getSignerInfos()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedData

    public SignedData(ASN1Set digestAlgorithms,
                      ContentInfo contentInfo,
                      ASN1Set certificates,
                      ASN1Set crls,
                      ASN1Set signerInfos)

### SignedData

    public SignedData(ASN1Sequence seq)

Method Detail

### getInstance

    public static SignedData getInstance(java.lang.Object o)

### getVersion

    public DERInteger getVersion()

### getDigestAlgorithms

    public ASN1Set getDigestAlgorithms()

### getEncapContentInfo

    public ContentInfo getEncapContentInfo()

### getCertificates

    public ASN1Set getCertificates()

### getCRLs

    public ASN1Set getCRLs()

### getSignerInfos

    public ASN1Set getSignerInfos()

### getDERObject

    public DERObject getDERObject()

       SignedData ::= SEQUENCE {
           version CMSVersion,
           digestAlgorithms DigestAlgorithmIdentifiers,
           encapContentInfo EncapsulatedContentInfo,
           certificates [0] IMPLICIT CertificateSet OPTIONAL,
           crls [1] IMPLICIT CertificateRevocationLists OPTIONAL,
           signerInfos SignerInfos
         }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD